Skip to main content
PUT
/
api
/
v1
/
executions
/
{executionID}
/
end
End an execution
curl --request PUT \
  --url https://api.fact0.io/api/v1/executions/{executionID}/end \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "id": "<string>",
  "agent_id": "<string>",
  "agent_name": "<string>",
  "root_span_id": "<string>",
  "trigger": "<string>",
  "started_at": "2023-11-07T05:31:56Z",
  "ended_at": "2023-11-07T05:31:56Z",
  "metadata": {},
  "created_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.fact0.io/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

executionID
string
required

Body

application/json
status
enum<string>
required
Available options:
RUNNING,
COMPLETED,
FAILED,
CANCELLED

Response

200 - application/json

Execution ended

id
string
agent_id
string
agent_name
string
status
enum<string>
Available options:
RUNNING,
COMPLETED,
FAILED,
CANCELLED
root_span_id
string
trigger
string
started_at
string<date-time>
ended_at
string<date-time>
metadata
object
created_at
string<date-time>